Role Name
=========

A role that installs MediaWiki

Role Variables
--------------

The most important variables are listed below:

``` yaml
mw_install_from_package: False
# Distribution packages are always obsolete
mw_install_from_tar: True
mw_version: 1.33
mw_minor_minor: 0
mw_download_url: http://releases.wikimedia.org/mediawiki/{{ mw_version }}/mediawiki-{{ mw_version }}.{{ mw_minor_minor }}.tar.gz
mw_local_nginx_virtualhost: '{{ mw_local_nginx }}'
mw_context: wiki
mw_doc_root: '{{ mw_install_dir }}/{{ mw_context }}'
mw_wiki_servername: '{{ ansible_fqdn }}'
mw_wiki_name: 'Mediawiki Installation'

mw_upload_subdirs:
  - archive
  - thumb
  - temp

mw_local_mysql: True
mw_local_nginx: True
mw_local_memcached: True
mw_memcached_hosts: '"127.0.0.1:11211"'
php_version: '{{ mw_php_version }}'

mw_php_additional_packages:
  - 'php{{ php_version }}-mbstring'
  - 'php{{ php_version }}-xmlrpc'
  - 'php{{ php_version }}-soap'
  - 'php{{ php_version }}-gd'
  - 'php{{ php_version }}-xml'
  - 'php{{ php_version }}-intl'
  - 'php{{ php_version }}-mysql'
  - 'php{{ php_version }}-cli'
  - 'php{{ php_version }}-zip'
  - 'php{{ php_version }}-curl'
  - php-apcu
  - php-wikidiff2
  - imagemagick
  - php-imagick

phpfpm_pools: '{{ mw_phpfpm_pools }}'
```

Dependencies
------------

* nginx
* mysql
* php-fpm
* memcached

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
